/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*- */

/*
   eel-mime-application-chooser.c: Manages applications for mime types
 
   Copyright (C) 2004 Novell, Inc.
 
   The Gnome Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The Gnome Library is distributed in the hope that it will be useful,
   but APPLICATIONOUT ANY WARRANTY; applicationout even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along application the Gnome Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.

   Authors: Dave Camp <dave@novell.com>
*/

#ifndef EEL_MIME_APPLICATION_CHOOSER_H
#define EEL_MIME_APPLICATION_CHOOSER_H

#include <gtk/gtkvbox.h>
#include <libgnomevfs/gnome-vfs-mime-handlers.h>

#define EEL_TYPE_MIME_APPLICATION_CHOOSER         (eel_mime_application_chooser_get_type ())
#define EEL_MIME_APPLICATION_CHOOSER(obj)         (G_TYPE_CHECK_INSTANCE_CAST ((obj), EEL_TYPE_MIME_APPLICATION_CHOOSER, EelMimeApplicationChooser))
#define EEL_MIME_APPLICATION_CHOOSER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), EEL_TYPE_MIME_APPLICATION_CHOOSER, EelMimeApplicationChooserClass))
#define EEL_IS_MIME_APPLICATION_CHOOSER(obj)      (G_TYPE_INSTANCE_CHECK_TYPE ((obj), EEL_TYPE_MIME_APPLICATION_CHOOSER)

typedef struct _EelMimeApplicationChooser        EelMimeApplicationChooser;
typedef struct _EelMimeApplicationChooserClass   EelMimeApplicationChooserClass;
typedef struct _EelMimeApplicationChooserDetails EelMimeApplicationChooserDetails;

struct _EelMimeApplicationChooser {
	GtkVBox parent;
	EelMimeApplicationChooserDetails *details;
};

struct _EelMimeApplicationChooserClass {
	GtkVBoxClass parent_class;
};

GType      eel_mime_application_chooser_get_type (void);
GtkWidget* eel_mime_application_chooser_new      (const char *uri,
						  const char *mime_type);



#endif /* EEL_MIME_APPLICATION_CHOOSER_H */
